package com.srs.stureg.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 新生接站登记对象 srs_at_station
 *
 * @author 邓
 * @date 2023-05-20
 */
@Data
@TableName("srs_at_station")
public class AtStation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableField("ksh")
    public String ksh;

    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 学生id */
    @Excel(name = "学生id")
    @TableField("student_ud")
    private Long studentId;

    /** 交通工具 */
    @TableField("tools_type")
    @Excel(name = "交通工具")
    private Long toolsType;

    /** 到达车站 */
    @Excel(name = "到达车站")
    @TableField("at_station")
    private String atStation;

    /** 到达时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("at_date_time")
    @Excel(name = "到达时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date atDatetime;

    /** 是否接站 */
    @TableField("is_need_pick")
    @Excel(name = "是否接站")
    private Long isNeedPick;

    /** 是否被接 */
    @TableField("pick_state")
    @Excel(name = "是否被接")
    private Long pickState;

    /** 部门状态（0正常 */
    @TableField("status")
    @Excel(name = "部门状态", readConverterExp = "部门状态（0正常")
    private String status;

    private String classId;
    private String className;

    /** 用户名 */
    @TableField(exist = false)
    @Excel(name = "学生账号")
    private String userName;
    /** 姓名 */
    @TableField(exist = false)
    @Excel(name = "姓名")
    private String name;
    /** 手机号码 */
    @TableField(exist = false)
    @Excel(name = "手机号码")
    private String phone;



    /** 删除标志（0代表存在 */

    @TableField("del_flag")
    private String delFlag;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStudentId(Long studentId)
    {
        this.studentId = studentId;
    }

    public Long getStudentId()
    {
        return studentId;
    }
    public void setToolsType(Long toolsType)
    {
        this.toolsType = toolsType;
    }

    public Long getToolsType()
    {
        return toolsType;
    }
    public void setAtStation(String atStation)
    {
        this.atStation = atStation;
    }

    public String getAtStation()
    {
        return atStation;
    }
    public void setAtDatetime(Date atDatetime)
    {
        this.atDatetime = atDatetime;
    }

    public Date getAtDatetime()
    {
        return atDatetime;
    }
    public void setIsNeedPick(Long isNeedPick)
    {
        this.isNeedPick = isNeedPick;
    }

    public Long getIsNeedPick()
    {
        return isNeedPick;
    }
    public void setPickState(Long pickState)
    {
        this.pickState = pickState;
    }

    public Long getPickState()
    {
        return pickState;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("studentId", getStudentId())
            .append("toolsType", getToolsType())
            .append("atStation", getAtStation())
            .append("atDatetime", getAtDatetime())
            .append("isNeedPick", getIsNeedPick())
            .append("pickState", getPickState())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
